## cairo-dock 3.0.0.1

=== data/CMakeLists.txt ===
add_subdirectory(themes)
add_subdirectory(gauges)
add_subdirectory(explosion)
add_subdirectory(man)
add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(scripts)
if ("${enable-desktop-manager}" STREQUAL "yes")
	add_subdirectory(desktop-manager)
endif()


########### install files ###############

# misc
install (FILES
	cairo-dock.svg
	readme-default-view
	ChangeLog.txt
	DESTINATION ${pkgdatadir})

# appli icon
install (FILES
	cairo-dock.svg
	DESTINATION ${datadir}/pixmaps)

# conf files
install (FILES
	# lib
	${CMAKE_CURRENT_BINARY_DIR}/main-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/launcher.desktop
	${CMAKE_CURRENT_BINARY_DIR}/container.desktop
	${CMAKE_CURRENT_BINARY_DIR}/separator.desktop
	# appli
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-simple.conf
	${CMAKE_CURRENT_BINARY_DIR}/themes.conf
	${CMAKE_CURRENT_BINARY_DIR}/Help.conf
	DESTINATION ${pkgdatadir})

# appli desktop file
install (FILES
	cairo-dock.desktop
	cairo-dock-cairo.desktop
	DESTINATION ${datadir}/applications)

=== src/CMakeLists.txt ===

add_subdirectory (icon-factory)
add_subdirectory (gldit)
add_subdirectory (implementations)
add_subdirectory (help)

SET(cairo_dock_SRCS
	cairo-dock.c
	cairo-dock-menu.c 					cairo-dock-menu.h 
	cairo-dock-user-interaction.c 		cairo-dock-user-interaction.h 
	cairo-dock-gui-main.c 				cairo-dock-gui-main.h
	cairo-dock-gui-simple.c 			cairo-dock-gui-simple.h
	cairo-dock-gui-backend.c 			cairo-dock-gui-backend.h
	cairo-dock-gui-items.c 				cairo-dock-gui-items.h
	cairo-dock-gui-themes.c 			cairo-dock-gui-themes.h
	cairo-dock-gui-commons.c 			cairo-dock-gui-commons.h
)

########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/help)

# Add executable that is built from the source files.
add_executable (${PROJECT_NAME}
	${cairo_dock_SRCS} )

# Link the executable to the librairies.
target_link_libraries (${PROJECT_NAME}
	${PACKAGE_LIBRARIES}
	${GTK_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${LIBCRYPT_LIBS}
	gldi
	icon-factory
	implementations
	help)

# install the program once it is built.
install(
	TARGETS ${PACKAGE}
	DESTINATION bin)

=== data/desktop-manager/CMakeLists.txt ===
install (FILES
	cairo-dock.desktop
	cairo-dock-fallback.desktop
	cairo-dock-unity.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	cairo-dock.session
	cairo-dock-fallback.session
	cairo-dock-unity.session
	cairo-dock-unity-fallback.session
	DESTINATION /usr/share/gnome-session/sessions)

install (FILES cairo-dock-session
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== data/gauges/CMakeLists.txt ===
add_subdirectory(turbo-night-fuel)

=== data/scripts/CMakeLists.txt ===

########### install files ###############

# scripts
install (FILES
	help_scripts.sh
	initial-setup.sh
	DESTINATION ${pkgdatadir}/scripts
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== src/gldit/CMakeLists.txt ===

SET(core_lib_SRCS
	cairo-dock-struct.h
	cairo-dock-global-variables.h 
	cairo-dock-core.c 					cairo-dock-core.h
	cairo-dock-manager.c 				cairo-dock-manager.h
	cairo-dock-object.c 				cairo-dock-object.h
	# icons
	cairo-dock-icon-manager.c 			cairo-dock-icon-manager.h
	cairo-dock-icon-factory.c 			cairo-dock-icon-factory.h
	cairo-dock-icon-facility.c 			cairo-dock-icon-facility.h
	cairo-dock-indicator-manager.c 		cairo-dock-indicator-manager.h
	cairo-dock-applications-manager.c 	cairo-dock-applications-manager.h 
	cairo-dock-application-facility.c 	cairo-dock-application-facility.h
	cairo-dock-launcher-manager.c 		cairo-dock-launcher-manager.h
	cairo-dock-applet-manager.c 		cairo-dock-applet-manager.h
	cairo-dock-applet-facility.c 		cairo-dock-applet-facility.h
	cairo-dock-separator-manager.c 		cairo-dock-separator-manager.h
	cairo-dock-module-factory.c 		cairo-dock-module-factory.h
	cairo-dock-module-manager.c 		cairo-dock-module-manager.h
	# containers
	cairo-dock-container.c 				cairo-dock-container.h
	cairo-dock-desklet-manager.c 		cairo-dock-desklet-manager.h
	cairo-dock-desklet-factory.c 		cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.c 		cairo-dock-dialog-factory.h
	cairo-dock-dialog-manager.c 		cairo-dock-dialog-manager.h
	cairo-dock-flying-container.c 		cairo-dock-flying-container.h
	cairo-dock-dock-manager.c 			cairo-dock-dock-manager.h
	cairo-dock-dock-factory.c 			cairo-dock-dock-factory.h
	cairo-dock-dock-facility.c 			cairo-dock-dock-facility.h
	cairo-dock-callbacks.c 				cairo-dock-callbacks.h 
	cairo-dock-animations.c 			cairo-dock-animations.h
	cairo-dock-notifications.c 			cairo-dock-notifications.h
	cairo-dock-backends-manager.c 		cairo-dock-backends-manager.h
	cairo-dock-data-renderer.c 			cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.c 		cairo-dock-data-renderer-manager.h
	cairo-dock-file-manager.c 			cairo-dock-file-manager.h
	cairo-dock-themes-manager.c 		cairo-dock-themes-manager.h
	cairo-dock-class-manager.c 			cairo-dock-class-manager.h
	cairo-dock-X-manager.c 				cairo-dock-X-manager.h
	cairo-dock-image-buffer.c			cairo-dock-image-buffer.h 
	cairo-dock-opengl.c 				cairo-dock-opengl.h
	cairo-dock-opengl-path.c 			cairo-dock-opengl-path.h
	cairo-dock-opengl-font.c 			cairo-dock-opengl-font.h
	cairo-dock-surface-factory.c 		cairo-dock-surface-factory.h
	cairo-dock-draw.c 					cairo-dock-draw.h 
	cairo-dock-draw-opengl.c 			cairo-dock-draw-opengl.h
	# utilities
	cairo-dock-log.c 					cairo-dock-log.h
	cairo-dock-gui-manager.c 			cairo-dock-gui-manager.h
	cairo-dock-gui-factory.c 			cairo-dock-gui-factory.h
	eggaccelerators.c 					eggaccelerators.h
	cairo-dock-keybinder.c 				cairo-dock-keybinder.h
	cairo-dock-dbus.c 					cairo-dock-dbus.h 
	cairo-dock-X-utilities.c 			cairo-dock-X-utilities.h
	cairo-dock-keyfile-utilities.c 		cairo-dock-keyfile-utilities.h
	cairo-dock-packages.c 				cairo-dock-packages.h
	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
	#cairo-dock-emblem.c 				cairo-dock-emblem.h
	cairo-dock-overlay.c 				cairo-dock-overlay.h
	cairo-dock-task.c 					cairo-dock-task.h
	cairo-dock-config.c 				cairo-dock-config.h 
	texture-gradation.h
	texture-blur.h
)


########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Define the library
add_library ("gldi" SHARED ${core_lib_SRCS})
STRING (REGEX REPLACE "\\..*" "" SOVERSION "${VERSION}")
set_target_properties ("gldi" PROPERTIES
	# create *nix style library versions + symbolic links
	VERSION ${VERSION}
	SOVERSION ${SOVERSION}
	# allow creating static and shared libs without conflicts
	#CLEAN_DIRECT_OUTPUT 1
	# avoid conflicts between library and binary target names
	#OUTPUT_NAME ${PROJECT_NAME}
)

# Link the result to the librairies.
target_link_libraries("gldi"
	${PACKAGE_LIBRARIES}
	${GTK_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${LIBCRYPT_LIBS}
	icon-factory
	implementations)


configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gldi.pc.in ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc DESTINATION ${libdir}/pkgconfig)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${VERSION} DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${SOVERSION} DESTINATION ${libdir})

########### install files ###############

install(FILES cairo-dock.h DESTINATION ${includedir}/cairo-dock)
install(FILES
	cairo-dock-struct.h 			cairo-dock-global-variables.h
	gldi-config.h
	cairo-dock-core.h			cairo-dock-manager.h
	cairo-dock-object.h
	cairo-dock-icon-factory.h		cairo-dock-icon-manager.h
	cairo-dock-icon-facility.h
	cairo-dock-applications-manager.h 	cairo-dock-launcher-manager.h
	cairo-dock-separator-manager.h 		cairo-dock-applet-manager.h
	cairo-dock-backends-manager.h		cairo-dock-notifications.h
	
	cairo-dock-packages.h
	cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.h
	cairo-dock-dock-manager.h		
	cairo-dock-desklet-manager.h
	cairo-dock-dialog-manager.h
	cairo-dock-indicator-manager.h
	cairo-dock-themes-manager.h
	cairo-dock-gui-manager.h
	cairo-dock-file-manager.h
	cairo-dock-X-manager.h
	cairo-dock-class-manager.h
	cairo-dock-opengl.h
	cairo-dock-image-buffer.h
	cairo-dock-config.h
	cairo-dock-module-factory.h
	cairo-dock-module-manager.h
	cairo-dock-container.h
	cairo-dock-dock-factory.h			cairo-dock-callbacks.h
	cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.h
	cairo-dock-flying-container.h
	
	cairo-dock-applet-multi-instance.h 	cairo-dock-applet-single-instance.h
	cairo-dock-applet-canvas.h			cairo-dock-applet-facility.h
	
	cairo-dock-draw.h					cairo-dock-draw-opengl.h
	cairo-dock-opengl-path.h 			cairo-dock-opengl-font.h 
	cairo-dock-particle-system.h		cairo-dock-overlay.h
	cairo-dock-X-utilities.h			cairo-dock-dbus.h
	cairo-dock-keyfile-utilities.h		cairo-dock-surface-factory.h
	cairo-dock-log.h					cairo-dock-keybinder.h
	cairo-dock-application-facility.h	cairo-dock-dock-facility.h
	cairo-dock-task.h
	cairo-dock-animations.h
	cairo-dock-gui-factory.h
	#cairo-dock-emblem.h
	
	DESTINATION ${includedir}/cairo-dock/gldit)

if (NOT "${enable_gtk_grip}" STREQUAL "")  # actually it's more "disable-gtk-grip" ...
	add_definitions (-DENABLE_GTK_GRIP=1)
endif()

=== data/themes/default-theme-panel/launchers/CMakeLists.txt ===

########### install files ###############

install(FILES
	01container.desktop
	01firefox.desktop
	01gcalctool.desktop
	01libreoffice-calc.desktop
	01libreoffice-impress.desktop
	01libreoffice-writer.desktop
	01pidgin.desktop
	01separator.desktop
	01thunderbird.desktop
	01ubuntu-software-center.desktop
	02separator.desktop
	03separator.desktop
	04separator.desktop
	05separator.desktop
	DESTINATION ${pkgdatadir}/themes/Default-Panel/launchers)

=== data/themes/default-theme-panel/plug-ins/CMakeLists.txt ===
add_subdirectory(AlsaMixer)
add_subdirectory(Animated-icons)
add_subdirectory(Calendar)
add_subdirectory(Clipper)
add_subdirectory(clock)
add_subdirectory(dialog-rendering)
add_subdirectory(dnd2share)
add_subdirectory(drop_indicator)
add_subdirectory(GMenu)
add_subdirectory(Help)
add_subdirectory(icon-effect)
add_subdirectory(illusion)
add_subdirectory(logout)
add_subdirectory(Messaging-Menu)
add_subdirectory(musicPlayer)
add_subdirectory(netspeed)
add_subdirectory(powermanager)
add_subdirectory(quick-browser)
add_subdirectory(Recent-Events)
add_subdirectory(rendering)
add_subdirectory(shortcuts)
add_subdirectory(showDesktop)
add_subdirectory(Status-Notifier)
add_subdirectory(switcher)

=== data/themes/default-theme-panel/plug-ins/showDesktop/CMakeLists.txt ===
install (FILES showDesktop.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/showDesktop )

=== data/themes/default-theme-panel/plug-ins/switcher/CMakeLists.txt ===
install (FILES switcher.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/switcher )

=== data/themes/default-theme/plug-ins/Animated-icons/CMakeLists.txt ===

########### install files ###############

install(FILES  Animated-icons.conf DESTINATION ${pkgdatadir}/themes/Default-Single/plug-ins/Animated-icons )

=== data/themes/default-theme/plug-ins/dialog-rendering/CMakeLists.txt ===

########### install files ###############

install(FILES  dialog-rendering.conf DESTINATION ${pkgdatadir}/themes/Default-Single/plug-ins/dialog-rendering )

=== debian/changelog ===
cairo-dock (3.0.0.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #983288)
  * Upstream ChangeLog:
   - Updated translations
   - Themes: Renamed the default theme and move it to the new 'themes' directory
   - Included here our default-panel theme from our server in order to use this
      theme without an Internet connexion
      (this theme is highly recommended for the Cairo-Dock' session)
   - Moved 'battery' to cairo-dock-plug-ins
   - Theme manager: fixed the preview made when the current theme is saved
   - Fixed a bug with icons that are always visible
      (their alpha was not reseted correctly)
   - Fixed a bug that prevented the dock from hiding when leaving
      and re-entering quickly
   - Containers: set opacity to 0 on creation, so that we don't get grey
      rectangles on loading (before we receive the first X Expose event)
      + increase the size of default windows to avoid invisible icons LP: #960282
   - When destroying a flying container, don't forget to detach the icon
   - Removed prints
   - Pango: only used the logical rectangle in order to avoid any deplacements
   - Draw: Icons always visible: limit the background margin to 1px, avoid
      icons to stick togather
   - Menu: disabled the Quit menu entry for all Cairo-Dock sessions
      (not only 'cairo-dock')
   - cairo-dock-session: only modify Compiz settings if '--replace' paramater
      is given
   - don't launch 'cairo-dock' if Cairo-Dock is already use only by current user
   - Session: Used shorter names
      (was too long for DM and we were not able to read the full name)
   - Used IsRunnableHelper to check if compiz can be launched or we have to
      use metacity (on Ubuntu)
   - The latest version of unity-2d-panel is now supported
      (it's no longer needed to modify config file with root rights or to kill
      a processus to have unity-2d-panel and Cairo-Dock)
   - cairo-dock.conf: fixed a typo (a wrong icon name)
   - initial-setup: no longer modify gconf keys of gnome settings (LP: #981092)
   - cairo-dock.c: initialised gettext before getopt in order to translate
      the output of 'cairo-dock -h'
   - Used the new name of the default theme
   - fixed the retrieval of the desktop background (was broken since the switch
      to GTK3)
   - Use the right web address of the themes' directory on our server.
   - Help.conf: removed lines which only contain 'TODO' and bump Help's version
   - fixed the drawing of multi-lines dialogs (sometime the text was invisible)
   - X manager: when receiving a NetDesktopGeometry signal from X
      notify everybody every time, and also update the number of viewports
   - Welcome message: replaced 'Cairo-Dock2' by 'Cairo-Dock'
  * This 3.0 series (and previous series) also fixes these bugs:
   - "glx-dock does not work with kde 4.8.1" (LP: #961048)
   - "the dock position is wrong when multiple monitor's resolution is different"
      (LP: #905912)
   - "GLX-Dock Hardware acc. UNDO!" (LP: #875975)
   - "Can't disable zoom" (LP: #702800)
   - "all button tips visible if icons 'maximum zoom' set to 1.0" (LP: #618336)
   - "create new sud-dock icon that looking like flat." (LP: #614686)
   - "Add custom launchers or sub-docks, can't modify name." (LP: #612617)
   - "no option in config file to set GL/Cairo mode" (LP: #612355)
   - "if I click on an icon a piece of plane disappears" (LP: #640398)
   - "icon labels go off-screen" (LP: #611733)
   - "Quick-Hide hides the dock forever" (LP: #580596)
   - "Hide when a window is maximized doesn't work if the taskbar is turned off"
      (LP: #580284)
   - "Incorrect Explanation in Help" (LP: #576069)
   - "xinerama:doc in one screen, subdocs in another" (LP: #540979)
   - "Click at the position where icon label was, the icon and dock still
       receive the event" (LP: #537115)
   - "ugly notifications with dialog boxes" (LP: #535083)
   - "Icons are being stacked" (LP: #526466)
   - "Separator not removed when closing grouped windows" (LP: #521369)
   - "dock appears under all windows after a full screen app is run" (LP: #518453)
   - "Icons aren't updated properly on configuring" (LP: #513212)
   - "xsession-errors log" (LP: #500677)
   - "Can't play videos in kaffeine, dragon player, gwenview and smplayer using
      the 'xv' driver after running cairo-dock" (LP: #475375)
   - "A little detail with the magnifier (hard to explain)" (LP: #420417)
  * debian/control:
   - Bump Standards-Version
   - cairo-dock-core: added 'compiz-plugins' as recommended (Compiz's DBus plugin
      can be used to have a better integration with the WM)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 16 Apr 2012 19:52:09 +0200

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs, 
		debhelper (>= 8.1.3),
		cmake,
		libcairo2-dev, 
		libgtk-3-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libxinerama-dev,
		libglib2.0-dev,
		libgl1-mesa-dev | libgl-dev,
		libglu1-mesa-dev | libglu-dev,
		libpango1.0-dev,
		libcurl4-gnutls-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock
Section: graphics
Architecture: all
Conflicts: 	cairo-dock (<= 2.0.8.0)
Depends: 	cairo-dock-core (>= ${source:Version}),
			cairo-dock-plug-ins (>= 3.0.0.0beta1),
			cairo-dock-plug-ins-integration (>= 3.0.0.0beta1),
			cairo-dock-plug-ins-dbus-interface-python (>= 3.0.0.0beta1),
			${misc:Depends}
Description: Light and eye-candy dock to launch your programs (metapackage)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This metapackage provides the components necessary for running Cairo-Dock. It
 provides the Cairo-Dock core, a set of standard plugins and the files necessary
 to integrate Cairo-Dock with your desktop environment. 

Package: cairo-dock-core
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	cairo-dock-data (>= ${source:Version}),
			${shlibs:Depends}, 
			${misc:Depends}
Recommends:	cairo-dock, cairo-dock-plug-ins,
			compiz-plugins | e17 | kde-window-manager | openbox | xfwm4
Suggests:	firefox, gnome-terminal, empathy, inkscape, gimp, shotwell, rhythmbox
Description: Light and eye-candy dock to launch your programs (core package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package is the core of Cairo-Dock project.

Package: libgldi-dev
Section: libdevel
Architecture: any
Depends: 	libgldi3 (= ${binary:Version}),
		${misc:Depends},
		libcairo2-dev,
		libgtk-3-dev,
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libxinerama-dev,
		libglib2.0-dev,
		libgl1-mesa-dev | libgl-dev,
		libglu1-mesa-dev | libglu-dev,
		libpango1.0-dev,
		libcurl4-gnutls-dev
Pre-Depends: ${misc:Pre-Depends}
Recommends:	cairo-dock
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (dev package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package provides the include files and static library for cairo-dock 
 functions.

Package: cairo-dock-data
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	${misc:Depends}
Description: Light and eye-candy dock to launch your programs (common files)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains default icons and themes for Cairo-Dock.

Package: libgldi3
Section: graphics
Architecture: any
Conflicts:	cairo-dock (<= 2.0.8.0)
Replaces:	cairo-dock (<= 2.0.8.0),
			cairo-dock-core (<< 3.0.0)
Breaks:		cairo-dock-core (<< 3.0.0)
Depends: 	${shlibs:Depends}, 
			${misc:Depends}
Recommends:	cairo-dock-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (lib package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains the library created and used by the Cairo-Dock project.

## cairo-dock 3.0.2

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock")
set (VERSION "3.0.2")

add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall 
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")
add_definitions (-DCAIRO_DOCK_DEFAULT_ICON_NAME="default-icon.svg")
add_definitions (-DCAIRO_DOCK_ICON="cairo-dock.svg")
add_definitions (-DCAIRO_DOCK_LOGO="cairo-dock-logo.png")
add_definitions (-DCAIRO_DOCK_DATA_DIR="cairo-dock")
if (NOT "${force-icon-in-menus}" STREQUAL "no")  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

############ sources tarball ############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/doc/;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

set (prefix ${CMAKE_INSTALL_PREFIX})  # /usr/local
set (exec_prefix ${prefix})
set (datadir "${prefix}/${CMAKE_INSTALL_DATAROOTDIR}")  # (...)/share
set (pkgdatadir "${datadir}/${CMAKE_PROJECT_NAME}")  # (...)/cairo-dock
set (mandir "${prefix}/${CMAKE_INSTALL_MANDIR}")  # (...)/man

set (VERSION_HELP "0.9.991") # needed to parse Help.conf.in

if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND "${FORCE_LIB64}" STREQUAL "yes")  # 64bits and force install in lib64
	set (libdir "${prefix}/lib64")
else()
	set (libdir "${prefix}/${CMAKE_INSTALL_LIBDIR}${LIB_SUFFIX}")  # (...)/lib
endif()

set (includedir "${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")  # (...)/include
set (bindir "${prefix}/${CMAKE_INSTALL_BINDIR}")  # (...)/bin

########### dependencies ###############

set (packages_required "gthread-2.0 cairo librsvg-2.0 dbus-1 dbus-glib-1 libxml-2.0 xrender gl glu pangox libcurl")  # for the .pc
STRING (REGEX REPLACE " " ";" packages_required_semicolon ${packages_required})  # replace blank space by semicolon => to have more details if a package is missing
pkg_check_modules ("PACKAGE" REQUIRED "${packages_required_semicolon}")

set (xextend_required "xtst xcomposite xinerama")  # for the .pc
STRING (REGEX REPLACE " " ";" xextend_required_semicolon ${xextend_required})
pkg_check_modules ("XEXTEND" "${xextend_required_semicolon}")
if (${XEXTEND_FOUND})
	set (HAVE_XEXTEND 1)
else()
	set (xextend_required)
endif()

if (NOT "${force-gtk2}" STREQUAL "yes")  # by default, we use GTK+3 except if we force the use of GTK+2
	set (gtk_required "gtk+-3.0")  # for the .pc
	pkg_check_modules ("GTK" "${gtk_required}")  # the check is not set as 'required' because we can use GTK+2 if GTK+3 isn't available
endif()

if (NOT "${GTK_FOUND}")
	set (gtk_required "gtk+-2.0")  # for the .pc
	pkg_check_modules ("GTK" REQUIRED "${gtk_required}")  # the check is requiered this time because we need GTK anyway.
endif()

STRING (REGEX REPLACE "\\..*" "" GTK_MAJOR "${GTK_VERSION}")

add_definitions (-DGTK_DISABLE_DEPRECATED="1")
# add_definitions (-DG_DISABLE_DEPRECATED="1")

# We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)
if (${HAVE_LIBCRYPT})
	set (LIBCRYPT_LIBS "-lcrypt")
endif()

check_include_files ("math.h" HAVE_MATH_H)
check_symbol_exists (LC_MESSAGES "locale.h" HAVE_LC_MESSAGES)
CHECK_LIBRARY_EXISTS (m sin "" HAVE_LIBM)

MESSAGE (STATUS)
MESSAGE (STATUS "Cairo-Dock will be compiled with the following options :")
if (${XEXTEND_FOUND})
	MESSAGE (STATUS " * Use X Extensions : yes")
else()
	MESSAGE (STATUS " * Use X Extensions : no")
endif()
if (${HAVE_LIBCRYPT})
	MESSAGE (STATUS " * crypt passwords : yes")
else()
	MESSAGE (STATUS " * crypt passwords : no")
endif()
MESSAGE (STATUS " * GTK version : ${GTK_MAJOR}")
MESSAGE (STATUS)

########### variables defined at compil time ###############

set (CAIRO_DOCK_SHARE_DATA_DIR ${pkgdatadir})
set (CAIRO_DOCK_SHARE_THEMES_DIR ${pkgdatadir}/themes)
#set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
set (CAIRO_DOCK_LOCALE_DIR "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (CAIRO_DOCK_THEMES_DIR "themes")
set (CAIRO_DOCK_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

set (GLDI_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})
set (GLDI_SHARE_DATA_DIR ${pkgdatadir})
set (GLDI_MODULES_DIR ${libdir}/cairo-dock)
set (GLDI_BIN_DIR ${bindir})

########### next steps ###############

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

########### file generation ###############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock-simple.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/main-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/launcher.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/launcher.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/container.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/container.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/separator.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/separator.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/themes.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/themes.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/Help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/Help.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.pc.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

########### install files ###############

install (FILES cairo-dock-package-theme
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc DESTINATION ${libdir}/pkgconfig)

###########     misc      ###############
#set (CPACK_SOURCE_GENERATOR "TGZ")
#set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
#set (CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.deps/;Makefile$;Makefile.in;.gmo$;/.libs/;.lo$;.la$;POTFILES;stamp-it;aclocal.m4;config.guess$;/config.h$;/config.h.in$;/config.log$;/config.status$;/config.sub$;/configure$;/depcomp$;/install-sh$;/libtool$;/ltmain.sh$;/missing$;/stamp-h1$;/compile;/CMakeFiles/;/_CPack_Packages/;/autom4te.cache/;/install_manifest.txt$;.tar.gz$;/CMakeCache.txt$;/cairo-dock$;/scripts/;/doc/;/data/themes.conf$;/data/cairo-dock.conf$;/data/main-dock.conf$;/data/cairo-dock-simple.conf$;/cairo-dock.pc$;.cmake$;~$;${CPACK_SOURCE_IGNORE_FILES}")
#include (CPack)  # a inclure apres les set.
#add_custom_target( dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)  # pour pouvoir l'appeler avec "make dist"

=== debian/changelog ===
cairo-dock (3.0.2-0ubuntu2) quantal; urgency=low

  * debian/apport/cairo-dock.py: ported to python3 (LP: #1013171)
     Thanks to Edward Donovan for the patch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 26 Jun 2012 12:50:23 +0200

cairo-dock (3.0.2-0ubuntu1) quantal; urgency=low

  * New upstream bug-fix release. (LP: #1014801)
  * Upstream ChangeLog (3.0.0 -> 3.0.1):
   - Dialogs: fixed a bug where the dock could auto-hide when a modal dialog
      was raised
   - Dialog: fixed a crash with gcc-4.7: the local variable can be corrupted
      due to optimisations
   - Fixed a bug where the dock didn't accept clicks when the mouse touches
      the screen edge (with auto-hide)
   - Added a compilation option to not force the display of icons in menus
      (design request but disable by default)
   - Fixed a bug where the hidden dock background color was not updated
      properly
   - Class-Manager: fixed a bug with Windows applications whose name is in
      upper case (.EXE)
   - GUI: use cairo_dock_get_xwindow_class to link a program with a launcher
   - French translations: fixed 2 small errors
  * Upstream ChangeLog (3.0.1 -> 3.0.2):
   - Main GUI: Fixed a crash when hovering group buttons too quickly
   - Main GUI: The dialog and preview didn't appear when hovering the button
   - Accelerators: On recent distro, 'Control' key is now called 'Primary'
   - Icon Mgr: Added a mutex because of occasional crashes with
      gtk_icon_theme_lookup_icon
   - Icon Mgr: Don't call a 'change-icon' callback when clicking or scrolling
      on an icon, and trigger an unneeded animation on the icon
   - Dock Mgr: Avoid emitting an 'enter' event when not needed
   - Class Mgr: Fixed 2 typos (special case for kdesu and not kdes)
   - Class Mgr: Remove launching options (%U) in quick-list Exec command
      (LP: #1002691)
   - Dialogues: Prevent closing the dialog unexpectedly when clicking on it,
      if the click is actually inside the interactive widget
   - Background: When set to 'always visible', applets' background couldn't
      be turned off
   - Added a workaround for the Unity-panel which has a wrong window type
   - po: Updated translations
  * debian/patches:
   - Removed all patches (now in upstream)
  * debian/cairo-dock-data:
   - Removed a lintian warning by added symlinks (binary-without-manpage)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 23 Jun 2012 14:25:10 -0400

cairo-dock (3.0.0.1-0ubuntu2) quantal; urgency=low

  * debian/patches/01-bzr_dock-s_menu.patch: don't hide the dock if it's raised
    and don't try to check if the mouse has left the dock if the menu is raised
    (LP: #988102)
   - It's an uptream patch (lp:cairo-dock-core/3.0 - rev 1070)
  * debian/patches/02-bzr_fixed_compilation_error.patch:
   - Fixed a compilation error with GLib >= 2.33

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 25 Apr 2012 01:29:46 +0200

## cairo-dock 3.0.99.beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "3.0.2")
+set (VERSION "3.0.99.beta1")
 
 add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall 
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -34,7 +34,7 @@
 set (CPACK_SOURCE_GENERATOR "TGZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 set (CPACK_SOURCE_IGNORE_FILES 
-	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/doc/;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
+	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/doc/;/misc/;~$;/TODO$;${CPACK_SOURCE_IGNORE_FILES}")
 include (CPack)
 
 add_custom_target( dist
@@ -58,7 +58,7 @@
 set (pkgdatadir "${datadir}/${CMAKE_PROJECT_NAME}")  # (...)/cairo-dock
 set (mandir "${prefix}/${CMAKE_INSTALL_MANDIR}")  # (...)/man
 
-set (VERSION_HELP "0.9.991") # needed to parse Help.conf.in
+set (VERSION_HELP "0.9.992") # needed to parse Help.conf.in
 
 if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND "${FORCE_LIB64}" STREQUAL "yes")  # 64bits and force install in lib64
 	set (libdir "${prefix}/lib64")
@@ -148,22 +148,11 @@
 
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock.conf)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock-simple.conf)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/main-dock.conf)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/launcher.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/launcher.desktop)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/container.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/container.desktop)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/separator.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/separator.desktop)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/themes.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/themes.conf)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/Help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/Help.conf)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.pc.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
 
 ########### install files ###############
 
-install (FILES cairo-dock-package-theme
-	DESTINATION ${bindir}
-	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install (FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc DESTINATION ${libdir}/pkgconfig)
 
 ###########     misc      ###############

=== src/gldit/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,6 @@
 	cairo-dock-keyfile-utilities.c 		cairo-dock-keyfile-utilities.h
 	cairo-dock-packages.c 				cairo-dock-packages.h
 	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
-	#cairo-dock-emblem.c 				cairo-dock-emblem.h
 	cairo-dock-overlay.c 				cairo-dock-overlay.h
 	cairo-dock-task.c 					cairo-dock-task.h
 	cairo-dock-config.c 				cairo-dock-config.h 
@@ -164,7 +163,6 @@
 	cairo-dock-task.h
 	cairo-dock-animations.h
 	cairo-dock-gui-factory.h
-	#cairo-dock-emblem.h
 	
 	DESTINATION ${includedir}/cairo-dock/gldit)

=== debian/changelog ===
cairo-dock (3.0.99.beta1-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Upstream ChangeLog (main changes):
   - Better integration of Unity: support of the Launcher API and better
      support of indicators
   - All configuration windows have been merged into a single one.
   - Added progress bars in several applets and in the Dbus API
   - The Music Player applet can control players in the systray.
   - Icons of the taskbar can be separated from launchers or not
   - And as always ... various bug fixes and improvements :-)
  * Fixed a few bugs reported on Launchpad:
   - A crash with logout applet (LP: #1033190)
   - Shortcuts do not accept Control key entries (LP: #1007539)
  * debian/custom_cairo-dock_badge.png, debian/source/include-binaries:
   - Added a badge for LightDM (LP: #987247)
  * debian/patches/cairo-dock-session_without_fallback_session.patch,
    debian/cairo-dock-data.install:
   - Only installed 'Cairo-Dock' session without Unity-2D and Metacity support
      due to the suppression of Unity-2D and the use of llvmpipe
   - Renamed 'Cairo-Dock (Gnome + Effects)' to 'Cairo-Dock (GNOME)'
  * debian/control:
   - Added a new suggested dependence for cairo-dock-core: gnome-session
   - Updated my email address
  * debian: Used 'wrap-and-sort' tool

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 19 Aug 2012 00:15:54 +0200

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@ubuntu.com>, Julien Lavergne <julien.lavergne@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 8.1.3),
               libcairo2-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev | libgl-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libxcomposite-dev,
               libxinerama-dev,
               libxml2-dev,
               libxrender-dev,
               libxtst-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Depends: cairo-dock-core (>= ${source:Version}),
         cairo-dock-plug-ins (>= 3.0.98),
         cairo-dock-plug-ins-dbus-interface-python (>= 3.0.98),
         cairo-dock-plug-ins-integration (>= 3.0.98),
         ${misc:Depends}
Description: Light and eye-candy dock to launch your programs (metapackage)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This metapackage provides the components necessary for running Cairo-Dock. It
 provides the Cairo-Dock core, a set of standard plugins and the files necessary
 to integrate Cairo-Dock with your desktop environment.

Package: cairo-dock-core
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0)
Depends: cairo-dock-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cairo-dock,
            cairo-dock-plug-ins,
            compiz-plugins | e17 | kde-window-manager | openbox | xfwm4
Suggests: compiz-plugins, gnome-session
Description: Light and eye-candy dock to launch your programs (core package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package is the core of Cairo-Dock project.

Package: libgldi-dev
Section: libdevel
Architecture: any
Depends: libcairo2-dev,
         libcurl4-gnutls-dev,
         libdbus-glib-1-dev,
         libgl1-mesa-dev | libgl-dev,
         libgldi3 (= ${binary:Version}),
         libglib2.0-dev,
         libglu1-mesa-dev | libglu-dev,
         libgtk-3-dev,
         libpango1.0-dev,
         librsvg2-dev,
         libxcomposite-dev,
         libxinerama-dev,
         libxml2-dev,
         libxrender-dev,
         libxtst-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: cairo-dock
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (dev package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package provides the include files and static library for cairo-dock
 functions.

Package: cairo-dock-data
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0)
Depends: ${misc:Depends}
Description: Light and eye-candy dock to launch your programs (common files)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains default icons and themes for Cairo-Dock.

Package: libgldi3
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0), cairo-dock-core (<< 3.0.0)
Breaks: cairo-dock-core (<< 3.0.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cairo-dock-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Light and eye-candy dock to launch your programs (lib package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel!
 It features multi-docks, taskbar, launchers and a lot of useful applets.
 Applets can be detached from the dock to act as desktop widgets.
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains the library created and used by the Cairo-Dock project.
